Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom.http
Class HttpResponseMessage

    java.lang.Object
      org.exist.atom.http.HttpResponseMessage

All Implemented Interfaces:
  OutgoingMessage

public class HttpResponseMessage
extends java.lang.Object
implements OutgoingMessage

Author:
  R. Alexander Milowski

Constructor Summary
`HttpResponseMessage(javax.servlet.http.HttpServletResponse response)` Creates a new instance of HttpRequestMIMEMessage

Method Summary
`java.io.OutputStream` | `getOutputStream()`
`java.io.Writer` | `getWriter()`
`void` | `setContentType(java.lang.String value)`
`void` | `setHeader(java.lang.String key, java.lang.String value)`
`void` | `setStatusCode(int code)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpResponseMessage

    public HttpResponseMessage(javax.servlet.http.HttpServletResponse response)

  Creates a new instance of HttpRequestMIMEMessage

Method Detail

### setStatusCode

    public void setStatusCode(int code)

  Specified by:
    `setStatusCode` in interface `OutgoingMessage`

### setContentType

    public void setContentType(java.lang.String value)

  Specified by:
    `setContentType` in interface `OutgoingMessage`

### setHeader

    public void setHeader(java.lang.String key,
                          java.lang.String value)

  Specified by:
    `setHeader` in interface `OutgoingMessage`

### getOutputStream

    public java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

  Specified by:
    `getOutputStream` in interface `OutgoingMessage`
  Throws:
    `java.io.IOException`

### getWriter

    public java.io.Writer getWriter()
                             throws java.io.IOException

  Specified by:
    `getWriter` in interface `OutgoingMessage`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.